# getQueryParameterOrSendError

suspend fun ERROR CLASS: Symbol not found for ApplicationCall. getQueryParameterOrSendError (field: String ): MatchGroup ?(source)

Retrieves a query parameter value by field name from the request. If the parameter is not present, responds with HttpStatusCode.BadRequest (400) and an error message.

#### Return

The query parameter value, or null if not found (after sending error response)

#### Parameters

field

The name of the query parameter to retrieve